summaryrefslogtreecommitdiffstats
path: root/core/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env')
-rwxr-xr-xcore/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env28
1 files changed, 28 insertions, 0 deletions
diff --git a/core/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env b/core/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env
new file mode 100755
index 00000000..7717394d
--- /dev/null
+++ b/core/modules/qemukvm/data/opt/openslx/scripts/systemd-qemukvm_env
@@ -0,0 +1,28 @@
+#!/bin/ash
+# -----------------------------------------------------------------------------
+#
+# Copyright (c) 2017..2018 bwLehrpool-Projektteam
+#
+# This program/file is free software distributed under the GPL version 2.
+# See https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
+#
+# If you have any feedback please consult https://bwlehrpool.de and
+# send your feedback to support@bwlehrpool.de.
+#
+# General information about bwLehrpool can be found at https://bwlehrpool.de
+#
+# -----------------------------------------------------------------------------
+# systemd-qemukvm_env
+# - This is the preparation script for the configuration of Linux Qemu/KVM.
+################################################################################
+
+# lazy load all kvm related modules
+modprobe kvm
+modprobe kvm_amd
+modprobe kvm_intel
+
+if [ ! -e /dev/kvm ]; then
+ slxlog "qemukvm-modules" "/dev/kvm not found! Missing kvm kernel module(s)?"
+ exit 1
+fi
+